#include<bits/stdc++.h>

using namespace std;

#define int long long
#define double long double

#define pii pair<int,int>
#define vii vector<pii>

#define fi first
#define se second

#define pb push_back
const double eps=1e-12;
const int MAX = 1e16;

signed main(){
    cin.tie(NULL);
    ios_base::sync_with_stdio(false);
    int n, m;
    while(cin >> n >> m) {
        vector<vector<int>> activities(n);
        for(int u = 0; u < n; ++u) {
            int k;
            cin >> k;
            for(int j = 0; j < k; ++j) {
                int x;
                cin >> x;
                activities[u].push_back(x-1);
            }
        }
        vector<int> users(n);
        iota(users.begin(), users.end(), 0);
        sort(users.begin(), users.end(), [&](int i, int j) {
            return activities[i].size() < activities[j].size();
        });
        vector<int> owner(m, -1);
        pair<int,int> ans = {-1, -1};
        for(int user : users) {
            if(ans.first != -1) break;
            map<int,int> co;
            for(int x : activities[user]) {
                if(owner[x] != -1)
                    co[owner[x]]++;
                owner[x] = user;
            }
            for(auto& x : co) {
                if(x.second != activities[x.first].size()) {
                    ans.first = user;
                    ans.second = x.first;
                    break;
                }
            }
        }
        if(ans.first == -1) {
            cout << "NO\n";
        }
        else cout << "YES\n" << ans.first + 1 << " " << ans.second + 1 << '\n';
    }

}